Emgmbh\UserBundle\Entity\WorkerAnnualInstruction:
    type: entity
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: true
            id: true
            generator:
                strategy: IDENTITY

    fields:
        workerConfirmedAt:
            type: datetime
            nullable: true
        leaderConfirmedAt:
            type: datetime
            nullable: true

    oneToOne:
        worker:
            targetEntity: Emgmbh\UserBundle\Entity\Worker
            cascade: {  }
            fetch: LAZY
            inversedBy: annualInstruction
            orphanRemoval: false

    manyToOne:
        leader:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true